org.keycloak.saml.processing.core.parsers.saml

## Class SAMLRequestAbstractParser

- java.lang.Object
- - org.keycloak.saml.processing.core.parsers.saml.SAMLRequestAbstractParser

- Direct Known Subclasses:
    SAMLArtifactResolveParser, SAMLAttributeQueryParser, SAMLAuthNRequestParser, SAMLSloRequestParser

      public abstract class SAMLRequestAbstractParser
      extends Object

  Base Class for SAML Request Parsing
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected XMLGregorianCalendar` | `issueInstant`
    `protected static PicketLinkLogger` | `logger`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLRequestAbstractParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SubjectType` | `getSubject(XMLEventReader xmlEventReader)`
    `protected void` | `parseBaseAttributes(StartElement startElement, RequestAbstractType request)` Parse the attributes that are common to all SAML Request Types
    `protected void` | `parseCommonElements(StartElement startElement, XMLEventReader xmlEventReader, RequestAbstractType request)`
    `protected void` | `parseRequiredAttributes(StartElement startElement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final PicketLinkLogger logger

    - #### id

          protected String id

    - #### version

          protected String version

    - #### issueInstant

          protected XMLGregorianCalendar issueInstant

  - ### Constructor Detail

    - #### SAMLRequestAbstractParser

          public SAMLRequestAbstractParser()

  - ### Method Detail

    - #### parseRequiredAttributes

          protected void parseRequiredAttributes(StartElement startElement)
                                          throws ParsingException

      Throws:
        `ParsingException`

    - #### parseBaseAttributes

          protected void parseBaseAttributes(StartElement startElement,
                                             RequestAbstractType request)
                                      throws ParsingException

      Parse the attributes that are common to all SAML Request Types
      Parameters:
        `startElement` -
        `request` -
      Throws:
        `ParsingException`

    - #### parseCommonElements

          protected void parseCommonElements(StartElement startElement,
                                             XMLEventReader xmlEventReader,
                                             RequestAbstractType request)
                                      throws ParsingException

      Throws:
        `ParsingException`

    - #### getSubject

          protected SubjectType getSubject(XMLEventReader xmlEventReader)
                                    throws ParsingException

      Throws:
        `ParsingException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.